Taxonomy

Rename a project-scoped publication tag

PATCH
/api/projects/{projectId}/tags/{tagId}

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
tagId*string
Length1 <= length

Request Body

  1. body
name*string
Length1 <= length <= 120

Response Body

Response for status 200

application/json
  1. response
tag*
Example Request
curl -X PATCH 'https://postbot.example/api/projects/string/tags/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
Example Response
{
  "tag": {
    "id": "string",
    "projectId": "string",
    "name": "string",
    "normalizedName": "string",
    "state": "active",
    "archivedAt": 0,
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?